| Home | Libraries | People | FAQ | More

## Type definition ecuyer1988

ecuyer1988

## Synopsis

    // In header: <boost/random/additive_combine.hpp>

    typedef random::additive_combine< random::linear_congruential< int32_t, 40014, 0, 2147483563, 0 >, random::linear_congruential< int32_t, 40692, 0, 2147483399, 0 >, 2060321752 > ecuyer1988;

## Description

The specialization ecuyer1988 was suggested in

> "Efficient and Portable Combined Random Number Generators", Pierre L'Ecuyer, Communications of the ACM, Vol. 31, No. 6, June 1988, pp. 742-749, 774